diff options
| author | Ryan Schanzenbacher <ryan@rschanz.org> | 2026-07-06 22:56:30 -0400 |
|---|---|---|
| committer | Ryan Schanzenbacher <ryan@rschanz.org> | 2026-07-06 22:56:30 -0400 |
| commit | 1b39fcad8bea4beb8058fe2514a71ab9033b0558 (patch) | |
| tree | 00732a9546e230c022aad2a498ab135578ee0397 /users | |
| parent | 8f71fac972b4fe5a98459148d9b33d1748deaa7f (diff) | |
Fix gpg-agent woe
Diffstat (limited to 'users')
| -rw-r--r-- | users/ryan/home.nix | 29 |
1 files changed, 19 insertions, 10 deletions
diff --git a/users/ryan/home.nix b/users/ryan/home.nix index de34c60..ffbab67 100644 --- a/users/ryan/home.nix +++ b/users/ryan/home.nix | |||
| @@ -164,19 +164,28 @@ | |||
| 164 | targets.darwin.linkApps.directory = "Applications/User Apps"; | 164 | targets.darwin.linkApps.directory = "Applications/User Apps"; |
| 165 | 165 | ||
| 166 | # Symlink System apps into the user apps "system" dir | 166 | # Symlink System apps into the user apps "system" dir |
| 167 | home.activation.linkSystemApps = lib.hm.dag.entryAfter ["writeBoundary"] '' | 167 | home.activation.linkSystemApps = lib.mkIf pkgs.stdenv.isDarwin ( |
| 168 | if [[ -z "$HOME" ]]; then | 168 | lib.hm.dag.entryAfter ["writeBoundary"] '' |
| 169 | echo "ERROR: HOME was not defined. This should not happen. Bailing! ">&2 | 169 | if [[ -z "$HOME" ]]; then |
| 170 | exit 1 | 170 | echo "ERROR: HOME was not defined. This should not happen. Bailing! ">&2 |
| 171 | fi | 171 | exit 1 |
| 172 | fi | ||
| 172 | 173 | ||
| 173 | $DRY_RUN_CMD mkdir -p "$HOME/Applications/System Apps" | 174 | $DRY_RUN_CMD mkdir -p "$HOME/Applications/System Apps" |
| 174 | 175 | ||
| 175 | $DRY_RUN_CMD rm -rf "$HOME/Applications/System Apps/"*.app | 176 | $DRY_RUN_CMD rm -rf "$HOME/Applications/System Apps/"*.app |
| 176 | 177 | ||
| 177 | $DRY_RUN_CMD find /Applications /System/Applications -maxdepth 2 -name "*.app" \ | 178 | $DRY_RUN_CMD find /Applications /System/Applications -maxdepth 2 -name "*.app" \ |
| 178 | -prune -exec ln -sf {} "$HOME/Applications/System Apps/" \; | 179 | -prune -exec ln -sf {} "$HOME/Applications/System Apps/" \; |
| 179 | ''; | 180 | '' |
| 181 | ); | ||
| 182 | |||
| 183 | # Restart gpg-agent | ||
| 184 | home.activation.restartGpgAgent = lib.mkIf pkgs.stdenv.isDarwin ( | ||
| 185 | lib.hm.dag.entryAfter ["writeBoundary"] '' | ||
| 186 | $DRY_RUN_CMD ${pkgs.gnupg}/bin/gpgconf --kill gpg-agent || true | ||
| 187 | '' | ||
| 188 | ); | ||
| 180 | 189 | ||
| 181 | xdg.configFile."aerc" = { | 190 | xdg.configFile."aerc" = { |
| 182 | source = ./aerc; | 191 | source = ./aerc; |
